<form [formGroup]="form">
  <div class="row">
    <mat-form-field>
      <mat-label>Nro de confirmación:</mat-label>
      <input matInput placeholder="Nro de Confirmación" name="reference" id="reference" formControlName="reference"
        required>
    </mat-form-field>
    <mat-form-field style="max-width: 150px;">
      <mat-label>Fecha</mat-label>
      <input matInput [matDatepicker]="picker" [max]="maxDate" placeholder="Fecha del pago" name="date" id="date"
        formControlName="date" required>
      <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
      <mat-datepicker #picker></mat-datepicker>
    </mat-form-field>
  </div>
  <div class="row">
    <mat-form-field>
      <mat-select placeholder="Banco Emisor" name="origin_bank" id="origin_bank" formControlName="origin_bank" required>
        <mat-option *ngFor="let bank of entities" [id]="bank.id" [value]="bank.id">{{bank.name}} </mat-option>
      </mat-select>
    </mat-form-field>
    <mat-form-field>
      <mat-select placeholder="Banco receptor" name="vp_bank" id="vp_bank" formControlName="vp_bank" required>
        <mat-option *ngFor="let bank of vpBanks" [id]="bank.id" [value]="bank.id">{{bank.name}} </mat-option>
      </mat-select>
    </mat-form-field>
  </div>
  <mat-form-field>
    <mat-label>Observaciones:</mat-label>
    <textarea matInput placeholder="Observaciones" name="comments" id="comments" formControlName="comments"></textarea>
  </mat-form-field>
  <div class="flex-end">
    <button mat-raised-button color="primary" (click)="save()" [disabled]="form.invalid" id="next">Siguiente</button>
  </div>
</form>
